Scriptname PW_PlayerScript extends ReferenceAlias 
{Keeps track of game loads and equipment changes, requests locInfo updates on loc change} 

PW_ComponentManagerScript Property componentManager Auto
PW_MainLoopScript property Main Auto

Spell Property CantLeave Auto
MagicEffect Property CantLeaveMGEF Auto
ImageSpaceModifier property FadeToBlack Auto

int property cantLeaveIndex = -1 Auto

bool firstLoad = true ;First time loading with mod?

Event OnPlayerLoadGame()
	PW_Utility.pwDebug(none, 2, "playerscript: game loaded")
	componentManager.MarkForMaintenance()
endEvent

Event OnLocationChange(Location akOldLoc, location akNewLoc)

	PW_Utility.sendEvent("PW_UpdateLocInfo")

endEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	if(Main.numExemptEquipment > 0)
		int index = 0
		while (index < Main.numExemptEquipment)
			if(akBaseObject == Main.exemptEquipment[index])
				Main.exemptEquipped(akBaseObject as armor)
				index = Main.numExemptEquipment
			endIf
			index += 1
		endWhile
	endIf
   	
	Main.updateArmor()
endEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	if(Main.numExemptEquipment > 0)
		int index = 0
		while (index < Main.numExemptEquipment)
			if(akBaseObject == Main.exemptEquipment[index])
				Main.exemptUnequipped(akBaseObject as armor)
				index = Main.numExemptEquipment
			endIf
			index += 1
		endWhile
	endIf

    	Main.updateArmor()
endEvent